import { Component, Vue } from 'vue-property-decorator'
import { Person } from '@/classes/DTO/Person'
import VueClipboard from 'vue-clipboard2'
import { Target } from '@/classes/Enum/Target'
import sender from '@/classes/Service/Browser/Chrome/Sender'
import { Action } from '@/classes/Enum/Action'
import notificationCleaner from '@/classes/Service/NotificationCleaner'
import Mocks from '@/components/mocks/main.vue'
import PersonTab from '@/components/person-tab/main.vue'

Vue.use(VueClipboard)

@Component({
  components: {
    Mocks,
    PersonTab
  }
})
export default class HelloWorld extends Vue {
  tab = 'person'
  personalId = ''
  person = new Person()
  isAutoCleaner = false

  mounted () {
    /** todo заполнить первоначальное значение */
    notificationCleaner.state().then((isAutoCleaner) => {
      this.isAutoCleaner = isAutoCleaner
      console.log('this.isAutoCleaner = ' + isAutoCleaner)
    })
  }

  insertValueToNode (target: Target, value: string): void {
    sender.send({
      action: Action.INSERT,
      target: target,
      value: value
    })
  }

  cleanNotifications (): void {
    sender.send({
      action: Action.CLEAN_NOTIFICATION
    })
  }

  onChangeAutoCleaner () {
    console.log(this.isAutoCleaner)
    if (this.isAutoCleaner) {
      notificationCleaner.enable()
    } else {
      notificationCleaner.disable()
    }
  }
}
